# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Sep 20 12:47:20 2024
# ------------------------------------------------

package:
  name: superqt
  version: 0.6.7
source:
  sha256: af80d5687ec75df6c3e54119ee895e42f79742ed326684c79425414b5c20f1e3
  url: https://pypi.io/packages/source/s/superqt/superqt-0.6.7.tar.gz
build:
  number: '0'
  script: /croot/superqt_1726836452049/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install -vv --no-deps --no-build-isolation .
  string: py312he106c6f_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.7.2 h06a4308_0
    - editables 0.3 py312h06a4308_0
    - expat 2.6.3 h6a678d5_0
    - hatch-vcs 0.3.0 py312h06a4308_1
    - hatchling 1.21.1 py312h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - packaging 24.1 py312h06a4308_0
    - pathspec 0.10.3 py312h06a4308_0
    - pip 24.2 py312h06a4308_0
    - pluggy 1.0.0 py312h06a4308_1
    - python 3.12.5 h5148396_1
    - readline 8.2 h5eee18b_0
    - setuptools 75.1.0 py312h06a4308_0
    - setuptools-scm 8.1.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - trove-classifiers 2023.10.18 py312h06a4308_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.44.0 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - pygments >=2.4.0
    - python >=3.12,<3.13.0a0
    - qtpy >=1.1.0
    - typing_extensions >=3.7.4.3,!=3.10.0.0
test:
  commands:
    - pip check
  imports:
    - superqt
  requires:
    - numpy
    - pip
    - pyqt
    - pytest
    - pytest-qt
  source_files:
    - pyproject.toml
    - tests
about:
  description: 'Superqt aims to provide high-quality community-contributed Qt widgets

    and components for PyQt & PySide that are not provided in the native

    QtWidgets module, such as range sliders, float sliders, and other

    extended widgets.

    '
  dev_url: https://github.com/pyapp-kit/superqt
  doc_url: https://pyapp-kit.github.io/superqt
  home: https://github.com/pyapp-kit/superqt
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Missing widgets and components for PyQt/PySide
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 06bc89cf-949c-4c14-81ce-75f88d50f8a6
  recipe-maintainers:
    - goanpeca
    - jni
    - sofroniewn
    - tlambert03
  remote_url: git@github.com:AnacondaRecipes/superqt-feedstock.git
  sha: 1560396c3353c950b30c68ab46853f4dfbb44c40
